------------------------------------------------------------------------------------
--Name：            200319[简体征服][活动脚本]全球周年庆剧情
--Creator:      蔡颖静
--Created:     2020-03-19
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>24


-- 设置摄像机指向位置(网格坐标)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
-- CppScriptMgr:AddEffect("meiguihua_01",32,31);
-- CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(376, 445)

CppScriptMgr:SetLightScreen(1500);


local hero = CppScriptMgr:QueryHero();

hero:SetLook(hero:GetLook(), false, true) ;
hero:SetZoomPercent(100)
hero:SetPos(381, 451)
hero:SetDir(4)

--创建小龙
local player  = CppScriptMgr:AddSimplePlayer(1059950, 381,446, "HeavenDragon(Infancy)", 4003000104,1)
player:SetZoomPercent(75)

--创建甄小福
local playerNpc  = CppScriptMgr:AddSimplePlayer(1065430, 372,446, "LittleLuckyStar", 4003000105,1)
playerNpc:SetZoomPercent(100)

--增加地效
local effectObjDX = CppScriptMgr:AddEffect("DX_zhounianqing",374, 441);

CppScriptMgr:WaitMilSec(2000);

local effectObj1 = CppScriptMgr:AddEffect("firethunder",378,439);
CppScriptMgr:WaitMilSec(500);
local effectObj2 = CppScriptMgr:AddEffect("zf2-e236",383,442);
CppScriptMgr:WaitMilSec(500);
local effectObj6 = CppScriptMgr:AddEffect("zf2-e233",376,444);
CppScriptMgr:WaitMilSec(500);
player:Say("The little dragon is screaming.", 8000);
local effectObj3 = CppScriptMgr:AddEffect("firethunder",384,444);
CppScriptMgr:WaitMilSec(500);
local effectObj5 = CppScriptMgr:AddEffect("zf2-e236",384,445);
CppScriptMgr:WaitMilSec(500);
local effectObj4 = CppScriptMgr:AddEffect("zf2-e236",383,444);
CppScriptMgr:WaitMilSec(500);
local effectObj7 = CppScriptMgr:AddEffect("firethunder",378,441);
CppScriptMgr:WaitMilSec(500);
local effectObj8 = CppScriptMgr:AddEffect("zf2-e236",378,439);
local effectObj9 = CppScriptMgr:AddEffect("thor",374,444);
CppScriptMgr:WaitMilSec(500);
--出现半身像
CppScriptMgr:NpcCallOut("     It looks like to approach the growth stage.\n\n\n\n                                     Press ESC to skip the story.", 6000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "LittleLuckyStar", 250, 655);
local effectObj10 = CppScriptMgr:AddEffect("lighls",374,444);
CppScriptMgr:WaitMilSec(500);
local effectObj11 = CppScriptMgr:AddEffect("zf2-e233",383,446);
CppScriptMgr:WaitMilSec(500);
local effectObj12 = CppScriptMgr:AddEffect("thor",384,446);
CppScriptMgr:WaitMilSec(500);
local effectObj13 = CppScriptMgr:AddEffect("firethunder",383,448);
CppScriptMgr:WaitMilSec(500);
local effectObj14 = CppScriptMgr:AddEffect("firethunder",384,444);
CppScriptMgr:WaitMilSec(500);
local effectObj15 = CppScriptMgr:AddEffect("zf2-e236",374,445);
CppScriptMgr:WaitMilSec(500);
local effectObj16 = CppScriptMgr:AddEffect("zf2-e236",386,444);
local effectObj17 = CppScriptMgr:AddEffect("firethunder",381,441);
CppScriptMgr:WaitMilSec(500);
local effectObj18 = CppScriptMgr:AddEffect("zf2-e236",378,439);
CppScriptMgr:WaitMilSec(500);
local effectObj19 = CppScriptMgr:AddEffect("thor",383,444);
local effectObj20 = CppScriptMgr:AddEffect("zf2-e236",386,444);
local effectObj21 = CppScriptMgr:AddEffect("firethunder",381,441);
CppScriptMgr:WaitMilSec(2000);

-- CppScriptMgr:WaitMilSec(2000);

--播放升级光效
player:AddEffect("accession",381,446);
CppScriptMgr:WaitMilSec(1500);

player:SetHide(1);

CppScriptMgr:SetLightScreen(3000);

--出现中期小龙
player:AddEffect("accession",381,446);
CppScriptMgr:WaitMilSec(1000);

local player1  = CppScriptMgr:AddSimplePlayer(1059960, 381,446, "HeavenDragon(Growth)", 4003000106,1)
player1:SetZoomPercent(80)
player1:AddEffect("lottery",381,446);

CppScriptMgr:WaitMilSec(2000);
player1:Say("What`s wrong with me?", 2000);
CppScriptMgr:WaitMilSec(2000);
hero:SetAction(180);
hero:Say("You are grow up!", 3000);
CppScriptMgr:WaitMilSec(2000);
--出现半身像
CppScriptMgr:NpcCallOut("     I can`t wait to see it enter the mature stage. (The dragon will become mature after S10.)\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "LittleLuckyStar", 250, 655);
CppScriptMgr:WaitMilSec(5000);


